package cn.com.poc.message.entity;

import cn.com.poc.ai_software_copyright.contant.AiSoftWareCopyRightEnum;

/**
 * @author alex.yao
 * @date 2025/12/26
 */
public class SoftwareCopyRightMessage {

    private Long id;

    private AiSoftWareCopyRightEnum.GENERATED_STATUS status;

    /**
     * base_info
     * 基本信息
     */
    private java.lang.String baseInfo;


    /**
     * technical_content
     * 技术内容
     */
    private java.lang.String technicalContent;

    /**
     * generated_doc_type
     * 生成文档类型
     */
    private java.lang.String generatedDocType;


    /**
     * reference_document_file_url
     * 参考文件地址 最大5份
     */
    private java.lang.String referenceDocumentFileUrl;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public AiSoftWareCopyRightEnum.GENERATED_STATUS getStatus() {
        return status;
    }

    public void setStatus(AiSoftWareCopyRightEnum.GENERATED_STATUS status) {
        this.status = status;
    }


    public java.lang.String getBaseInfo() {
        return this.baseInfo;
    }

    public void setBaseInfo(java.lang.String baseInfo) {
        this.baseInfo = baseInfo;
    }


    public java.lang.String getTechnicalContent() {
        return this.technicalContent;
    }

    public void setTechnicalContent(java.lang.String technicalContent) {
        this.technicalContent = technicalContent;
    }


    public java.lang.String getReferenceDocumentFileUrl() {
        return this.referenceDocumentFileUrl;
    }

    public void setReferenceDocumentFileUrl(java.lang.String referenceDocumentFileUrl) {
        this.referenceDocumentFileUrl = referenceDocumentFileUrl;
    }

    public java.lang.String getGeneratedDocType() {
        return this.generatedDocType;
    }

    public void setGeneratedDocType(java.lang.String generatedDocType) {
        this.generatedDocType = generatedDocType;
    }


}
